JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class OaIdl.TYPEDESC._TYPEDESC

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.sun.jna.platform.win32.OaIdl.TYPEDESC._TYPEDESC

Enclosing class:
  OaIdl.TYPEDESC

    public static class OaIdl.TYPEDESC._TYPEDESC

extends Union

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`OaIdl.HREFTYPEbyReference` `hreftype`
`OaIdl.ARRAYDESC.ByReference` `lpadesc`
`OaIdl.TYPEDESC.ByReference` `lptdesc`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`OaIdl.TYPEDESC._TYPEDESC()`
`OaIdl.TYPEDESC._TYPEDESC(OaIdl.ARRAYDESC.ByReference lpadesc)`
`OaIdl.TYPEDESC._TYPEDESC(OaIdl.HREFTYPEbyReference hreftype)`
`OaIdl.TYPEDESC._TYPEDESC(OaIdl.TYPEDESC.ByReference lptdesc)`
`OaIdl.TYPEDESC._TYPEDESC(Pointer pointer)`

Method Summary

Methods inherited from class com.sun.jna.Union
`getFieldOrder, getNativeAlignment, getTypedValue, readField, setType, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### lptdesc

    public OaIdl.TYPEDESC.ByReference lptdesc

### lpadesc

    public OaIdl.ARRAYDESC.ByReference lpadesc

### hreftype

    public OaIdl.HREFTYPEbyReference hreftype

Constructor Detail

### OaIdl.TYPEDESC._TYPEDESC

    public OaIdl.TYPEDESC._TYPEDESC()

### OaIdl.TYPEDESC._TYPEDESC

    public OaIdl.TYPEDESC._TYPEDESC(Pointer pointer)

### OaIdl.TYPEDESC._TYPEDESC

    public OaIdl.TYPEDESC._TYPEDESC(OaIdl.ARRAYDESC.ByReference lpadesc)

### OaIdl.TYPEDESC._TYPEDESC

    public OaIdl.TYPEDESC._TYPEDESC(OaIdl.HREFTYPEbyReference hreftype)

### OaIdl.TYPEDESC._TYPEDESC

    public OaIdl.TYPEDESC._TYPEDESC(OaIdl.TYPEDESC.ByReference lptdesc)

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.